svn commit: samba r7495 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun Jun 12 01:36:57 GMT 2005


Author: tridge
Date: 2005-06-12 01:36:56 +0000 (Sun, 12 Jun 2005)
New Revision: 7495

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7495

Log:
used --maximum-runtime=300 for each smbtorture call, to prevent it
running too long

Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh
   branches/SAMBA_4_0/source/script/tests/test_binding_string.sh
   branches/SAMBA_4_0/source/script/tests/test_echo.sh
   branches/SAMBA_4_0/source/script/tests/test_functions.sh
   branches/SAMBA_4_0/source/script/tests/test_ldap.sh
   branches/SAMBA_4_0/source/script/tests/test_local.sh
   branches/SAMBA_4_0/source/script/tests/test_posix.sh
   branches/SAMBA_4_0/source/script/tests/test_rpc.sh
   branches/SAMBA_4_0/source/script/tests/test_w2k3.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -68,6 +68,11 @@
 
 smbd_check_or_start
 
+# ensure any one smbtorture call doesn't run too long
+TORTURE_OPTIONS="--maximum-runtime=300"
+export TORTURE_OPTIONS
+
+
 START=`date`
 (
  # give time for nbt server to register its names

Modified: branches/SAMBA_4_0/source/script/tests/test_binding_string.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_binding_string.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_binding_string.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -28,7 +28,7 @@
 		 "308FB580-1EB2-11CA-923B-08002B1075A7 at ncacn_np:$server" \
 		 "308FB580-1EB2-11CA-923B-08002B1075A7 at ncacn_ip_tcp:$server" 
 do
-	testit "$I" bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+	testit "$I" bin/smbtorture $TORTURE_OPTIONS "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
 done
 
 testok $0 $failed

Modified: branches/SAMBA_4_0/source/script/tests/test_echo.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_echo.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_echo.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -34,13 +34,13 @@
         "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:keyexchange=no  --option=torture:echo_TestSleep=no" \
     ; do
    name="$transport with $bindoptions and $ntlmoptions"
-   testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+   testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
   done
  done
 done
 
 # separately test the print option - its v slow
 name="print option"
-testit "$name" bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
 
 testok $0 $failed

Modified: branches/SAMBA_4_0/source/script/tests/test_functions.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_functions.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_functions.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -19,7 +19,7 @@
 
 		echo -n "STARTING SMBD..."
 		((
-			$SRCDIR/bin/smbd -d1 -s $CONFFILE -M single -i < $SMBD_TEST_FIFO > $SMBD_TEST_LOG 2>&1;
+			$SRCDIR/bin/smbd --maximum-runtime=1800 -d1 -s $CONFFILE -M single -i < $SMBD_TEST_FIFO > $SMBD_TEST_LOG 2>&1;
 			ret=$?;
 			rm -f $SMBD_TEST_FIFO;
 			if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then

Modified: branches/SAMBA_4_0/source/script/tests/test_ldap.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -19,5 +19,5 @@
 ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName || exit 1
 
 echo "CLDAP test"
-bin/smbtorture //$SERVER/_none_ LDAP-CLDAP || exit 1
+bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || exit 1
 

Modified: branches/SAMBA_4_0/source/script/tests/test_local.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_local.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_local.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -23,7 +23,7 @@
 failed=0
 for t in $local_tests; do
 	name="$t"
-	testit "$name" $VALGRIND bin/smbtorture ncalrpc: $t "$*" || failed=`expr $failed + 1`
+	testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS ncalrpc: $t "$*" || failed=`expr $failed + 1`
 done
 
 testok $0 $failed

Modified: branches/SAMBA_4_0/source/script/tests/test_posix.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_posix.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_posix.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -46,7 +46,7 @@
     fi
     start=""
     name="$t"
-    testit "$name" $VALGRIND bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
 done
 
 testok $0 $failed

Modified: branches/SAMBA_4_0/source/script/tests/test_rpc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -36,7 +36,7 @@
      esac
    for t in $tests; do
     name="$t on $transport with $bindoptions"
-    testit "$name" $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
    done
  done
 done

Modified: branches/SAMBA_4_0/source/script/tests/test_w2k3.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_w2k3.sh	2005-06-12 01:28:20 UTC (rev 7494)
+++ branches/SAMBA_4_0/source/script/tests/test_w2k3.sh	2005-06-12 01:36:56 UTC (rev 7495)
@@ -33,7 +33,7 @@
 failed=0
 
 name="RPC-SPOOLSS on ncacn_np"
-testit "$name" bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
 
 for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate bigendian; do
    for transport in ncacn_ip_tcp ncacn_np; do
@@ -43,14 +43,14 @@
      esac
    for t in $tests; do
     name="$t on $transport with $bindoptions"
-    testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
+    testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
    done
  done
 done
 
 name="RPC-DRSUAPI on ncacn_ip_tcp with seal"
-testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
 name="RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian"
-testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
 
 testok $0 $failed



More information about the samba-cvs mailing list